=== debian/changelog ===
flye (2.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 16:45:19 +0200

flye (2.9+dfsg-2) unstable; urgency=medium

  * Source-only upload
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2022 19:47:57 +0200

flye (2.9+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #962292)

 -- Andreas Tille <tille@debian.org>  Thu, 05 May 2022 10:16:41 +0200
