=== debian/control ===
Source: flye
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               liblemon-dev,
               libminimap2-dev,
               samtools,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/flye
Vcs-Git: https://salsa.debian.org/med-team/flye.git
Homepage: https://github.com/fenderglass/Flye
Rules-Requires-Root: no

Package: flye
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends},
         minimap2,
         samtools
Description: de novo assembler for single molecule sequencing reads using repeat graphs
 Flye is a de novo assembler for single molecule sequencing reads, such
 as those produced by PacBio and Oxford Nanopore Technologies. It is
 designed for a wide range of datasets, from small bacterial projects to
 large mammalian-scale assemblies. The package represents a complete
 pipeline: it takes raw PacBio / ONT reads as input and outputs polished
 contigs. Flye also has a special mode for metagenome assembly.
