## flye 2.9.2+dfsg

=== debian/changelog ===
flye (2.9.2+dfsg-2) unstable; urgency=medium

  * gcc-13.patch: new: fix ftbfs with gcc-13. (Closes: #1037662)
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 10:28:45 +0200

flye (2.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jul 2023 17:46:42 +0200
