## flye 2.9.3+dfsg

=== debian/changelog ===
flye (2.9.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * gcc-13.patch: delete: applied upstream.
  * cppflags.patch: new: propagate CPPFLAGS.
    Among other things, this allows injection of source fortification
    macro, which participates to executables hardening.
  * d/rules: activate hardening flags.
  * use_debian_packaged_libs.patch: forward not-needed.

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 Nov 2023 22:45:17 +0100
