## flye 2.9.3+dfsg2

=== debian/changelog ===
flye (2.9.3+dfsg2-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/salsa-ci.yml: disable i386 build.

  [ Andreas Tille ]
  * Drop code copy of six.py
  * Port to Python3.12 by removing vendored six.py
    Closes: #1061797
  * Depends: python3-six

 -- Andreas Tille <tille@debian.org>  Fri, 02 Feb 2024 14:50:39 +0100
