=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
 Depends: ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends},
+         python3-six,
          minimap2,
          samtools
 Description: de novo assembler for single molecule sequencing reads using repeat graphs
