## flye 2.9.4+dfsg

=== debian/changelog ===
flye (2.9.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 22 May 2024 14:21:21 +0200
