## flye 2.9.5+dfsg

=== debian/changelog ===
flye (2.9.5+dfsg-1) unstable; urgency=medium

  * New upstream version 2.9.5+dfsg
  * python3.12.patch: unfuzz.
  * python3.12.patch: forwarding not needed.
    This is because most of the changes are vendoring removal; upstream
    did move to Python 3.12 in the present version.

 -- Étienne Mollier <emollier@debian.org>  Sat, 31 Aug 2024 12:43:43 +0200
