## flye 2.9.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,11 @@
 
 export CXXFLAGS += ${LIBCUCKOO} ${INTERVAL_TREE} ${LEMON} -I${MINIMAP2_DIR}
 export LDFLAGS += -lz -L${MINIMAP2_DIR} -lminimap2
+
+ifeq ($(shell uname -m),arm64)
+	export arm_neon=1
+	export aarch64=1
+endif
 
 .PHONY: clean all profile debug minimap2 samtools
