=== debian/changelog ===
flye (2.9.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.9.6+dfsg
  * python3.12.patch: normalize dep3 header.
  * use_debian_packaged_libs.patch: normalise Last-Update timestamp.
  * d/control: declare compliance to standards version 4.7.2.
  * distutils.patch: new: replace uses of distutils.

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Aug 2025 22:20:08 +0200
