=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs docs/NEWS.md
 
-### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
-#override_dh_auto_test:
-#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	do_stuff_for_testing
-#endif
-
 override_dh_auto_clean:
 	dh_auto_clean
 	find src -name "*.o" -delete
